> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchhive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List public workspace knowledge bases

> Returns knowledge bases scoped to the requested public API workspace.



## OpenAPI

````yaml /openapi.yaml get /v1/public/workspaces/{workspace_id}/knowledge_bases
openapi: 3.0.1
info:
  title: Fetch Hive Public API
  version: v1
  description: Customer-facing Fetch Hive API endpoints for public API keys.
servers:
  - url: https://api.fetchhive.com
security: []
paths:
  /v1/public/workspaces/{workspace_id}/knowledge_bases:
    parameters:
      - name: workspace_id
        in: path
        required: true
        description: Workspace UUID
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Knowledge Bases
      summary: List public workspace knowledge bases
      description: Returns knowledge bases scoped to the requested public API workspace.
      responses:
        '200':
          description: knowledge bases returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  knowledge_bases:
                    type: array
                    items:
                      $ref: '#/components/schemas/knowledge_base_object'
                required:
                  - knowledge_bases
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
        '404':
          description: workspace not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
      security:
        - bearer_auth: []
components:
  schemas:
    knowledge_base_object:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          example: My Knowledge Base
        description:
          type: string
          nullable: true
        data_item_count:
          type: integer
          example: 0
        search_score_threshold:
          type: string
          example: '0.5'
        search_chunk_limit:
          type: integer
          example: 5
        generated_at:
          type: string
          format: date-time
          nullable: true
        status:
          type: string
          example: active
        search_type:
          type: string
          example: hybrid
        is_active:
          type: boolean
          example: true
        is_archived:
          type: boolean
          example: false
        is_hybrid_search:
          type: boolean
          example: true
        is_vector_search:
          type: boolean
          example: false
        is_full_text_search:
          type: boolean
          example: false
      required:
        - id
        - name
        - data_item_count
        - search_score_threshold
        - search_chunk_limit
        - status
        - search_type
        - is_active
        - is_archived
        - is_hybrid_search
        - is_vector_search
        - is_full_text_search
    error_response:
      type: object
      properties:
        error:
          type: string
          example: Invalid access.
      required:
        - error
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: 'Workspace API key sent as `Authorization: Bearer <api_key>`.'

````